<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <link href='https://fonts.googleapis.com/css?family=Roboto:300,400,500,700|Material+Icons' rel="stylesheet">
    <link href="https://unpkg.com/vuetify/dist/vuetify.min.css" rel="stylesheet">
    <meta name="viewport" content="width=device-width, initial-scale=1, maximum-scale=1, user-scalable=no, minimal-ui">
</head>
    <body>
        <div id="app">
    <v-app dark>

        <v-content >

            <div
                    id="e3"
                    style="max-width: 800px; margin: auto;"
                    class="grey lighten-3"
            >
                <v-toolbar color="dark">

                    <v-toolbar-title class="white--text">
                        <v-menu bottom left>
                            <v-btn icon slot="activator" dark>
                                <v-toolbar-side-icon></v-toolbar-side-icon>
                            </v-btn>
                            <v-list>
                                <v-list-tile>
                                    <v-list-tile-title @click="createTask">СОЗДАТЬ ЗАДАЧУ</v-list-tile-title>

                                </v-list-tile>
                            </v-list>
                            <v-list>
                                <v-list-tile>
                                    <v-list-tile-title @click="sortTasks">ОТСОРТИРОВАТЬ ПО АЛФАВИТУ</v-list-tile-title>
                                </v-list-tile>
                            </v-list>
                        </v-menu>
                        My ToDoList
                    </v-toolbar-title>
                    <v-spacer></v-spacer>
                </v-toolbar>
                <v-container
                        fluid
                        style="min-height: 0;"
                        grid-list-lg
                >
                    <v-layout row wrap>
                        <v-flex xs12 v-for="item in items" :key="item.id" @click="">
                            <v-card  class="white--text"
                                     v-bind:style="{ backgroundColor: getColor(item) }"
                            >

                                <v-card-title primary-title>
                                    <div class="headline">{{ item.taskName }}</div>
                                </v-card-title>
                                <v-flex xs7>
                                    <v-card-text>
                                        <div>{{ item.description }}</div>
                                    </v-card-text>
                                </v-flex>
                                <v-flex xs5></v-flex>
                                <v-card-actions>
                                    <v-btn flat dark @click="editTask(item)">Редактировать</v-btn>

                                    <v-btn flat dark @click="markDone(item)">Сделано!</v-btn>
                                    <v-btn flat dark @click="deleteTask(item)">Удалить</v-btn>
                                </v-card-actions>
                            </v-card>
                        </v-flex>

                        <v-dialog v-model="dialog" max-width="500px">
                            <v-card>
                                <v-card-title>
                                </v-card-title>
                                <v-card-text>
                                    <v-text-field
                                            name="input-1"
                                            label="Наименование задачи"
                                            :rules="[v => !!v || 'Поле должно быть заполнено']"
                                            v-model="taskName"
                                    ></v-text-field>
                                    <v-text-field
                                            name="input-2"
                                            label="описание задачи"
                                            v-model="description"
                                            :rules="[v => !!v || 'Поле должно быть заполнено']"
                                    ></v-text-field>

                                </v-card-text>
                                <v-card-actions>
                                    <v-btn flat dark @click="addTask">Сохранить</v-btn>
                                    <v-btn flat dark @click.stop="dialog=false">Отмена</v-btn>
                                </v-card-actions>
                            </v-card>
                        </v-dialog>
                    </v-layout>
                </v-container>
            </div>

        </v-content>

    </v-app>
</div>
        
        <!--scripts-->
<script src="https://unpkg.com/vue/dist/vue.js"></script>
<script src="https://unpkg.com/vuetify/dist/vuetify.js"></script>
<script src="./src/main.js"></script>
        </body>
</html>